Bug 1124718 - JDG640.ClusteredListeners
Summary: JDG640.ClusteredListeners
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Data Grid 6
Classification: JBoss
Component: Library
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: DR1
: 6.4.0
Assignee: William Burns
QA Contact: Martin Gencur
URL:
Whiteboard:
Depends On:
Blocks: 1124710
TreeView+ depends on / blocked
 
Reported: 2014-07-30 07:28 UTC by Tristan Tarrant
Modified: 2015-01-28 13:31 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-28 13:31:13 UTC
Type: Bug


Attachments (Terms of Use)

Description Tristan Tarrant 2014-07-30 07:28:09 UTC
Requirement:
	

Notify client applications when an entry is added, updated, deleted, or expired in a particular cache. Event should be cluster-wide, so that client applications can (a) access this event regardless of which node the app resides on or connects with and (b) the app receives a single notification per event.

Priority:
	

P1

Status:
	

Committed

Originator:
	

Product Management

Responsible team:
	

Infinispan Engineering Team

Comments:
	

a) the event will be triggered always on the node where the listener was registered, but disregarding where the cache update originated

b) is not possible for the app to receive a single notification per event due to technical reasons during topology changes. However the window for which this happens is quite small

c) expiry events won’t be covered, the others will

Attachments:
	

Clustered listeners · infinispan/infinispan Wiki · GitHub

Interdependencies:

Comment 2 Martin Gencur 2014-11-19 12:48:24 UTC
This feature was deliver a long time ago. New issues will be filed in separate BZs.


Note You need to log in before you can comment on or make changes to this bug.